> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# tinVerification

> tin Identifications



## OpenAPI

````yaml /openapi/identity.json post /kyb/tin-verification
openapi: 3.0.2
info:
  title: Flick Identity API
  description: 'This is a sample API Document for Flick services '
  termsOfService: http://swagger.io/terms/
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For Identity check using Flick
security:
  - bearerAuth: []
tags:
  - name: Individuals(KYC)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Businesses(KYB)
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Biometrics
    description: Means of Identifications
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /kyb/tin-verification:
    post:
      tags:
        - Businesses(KYB)
      summary: tinVerification
      description: tin Identifications
      operationId: Check Tin
      requestBody:
        description: Checking for Tin Identification
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Tin'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TinResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Tin:
      required:
        - tin
      type: object
      properties:
        tin:
          type: string
          example: 20011122-0001
    TinResponse:
      type: object
      properties:
        status:
          type: string
          example: '200'
        Name:
          type: string
          example: UserTin Name
        TIN:
          type: string
          example: 'User Tin '
        RC_BN:
          type: string
          example: RC111100
        Tax_Office:
          type: string
          example: 'MSTO VICTORIA ISLAND '
        Phone:
          type: string
          example: '07011221122'
        Email:
          type: string
          example: TinUser@gmail.com
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.